// ScolProtocol.h : Declaration of the CScolProtocol

#ifndef __SCOLPROTOCOL_H_
#define __SCOLPROTOCOL_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CScolProtocol
class ATL_NO_VTABLE CScolProtocol : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CScolProtocol, &CLSID_ScolProtocol>,
	public IDispatchImpl<IScolProtocol, &IID_IScolProtocol, &LIBID_NETSCAPEPROTOCOLLib>
{
public:
	CScolProtocol()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_SCOLPROTOCOL)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CScolProtocol)
	COM_INTERFACE_ENTRY(IScolProtocol)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

// IScolProtocol
public:
	STDMETHOD(Open)(BSTR pUrl);
	STDMETHOD(Initialize)(BSTR pProtocol, BSTR pUrl, /*[out,retval]*/ short* ret);
};

#endif //__SCOLPROTOCOL_H_
